import 'dart:async';

import 'package:flutter/services.dart';

class ApexFlutterPlugin {
  static MethodChannel _channel = MethodChannel('apex_flutter_plugin');

  /// Android/iOS
  /// Generate random uuid v4
  static Future<String> generateRandomUuid() async {
    return (await _channel.invokeMethod('generateRandomUuid')) as String;
  }

  /// Android
  /// Build fingerprint of device
  /// Return null on ios or permission deny
  static Future<String> fingerprint() async {
    return (await _channel.invokeMethod('getFingerprint')) as String;
  }

  /// Android
  /// hashUID is hash of (androidId + fingerprint)
  /// Return null on ios or permission deny
  static Future<String> hashUID() async {
    return (await _channel.invokeMethod('hashUID')) as String;
  }

  /// Android
  /// androidID of device
  /// Return null on ios or permission deny
  static Future<String> androidId() async {
    return (await _channel.invokeMethod('getAndroidId')) as String;
  }
}
